Bug 12970 - upgrade from 6.2 to beta 2 fails
upgrade from 6.2 to beta 2 fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-23 20:17 EDT by Chris Runge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 18:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2000-06-23 20:17:58 EDT
I tried to upgrade from 6.2 to beta 2. After choosing to upgrade I then
checked the box that said "Customize packages to be upgraded." The
installer then went to get a list of packages. After ~30 seconds an
exception error appeared:

Traceback (innermost last):
 File "/user/bin/anaconda", line 423, in ?
   intf.run(todo, test = test)
 File "/usr/lib/anaconda/gui.py", line 297, in run
   self.icw.run ()
 File "/usr/lib/anaconda/gui.py", line 639, in run
   mainloop ()
 File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
   _gtk.gtk_main()
 File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
   ret = apply(self.func, a)
 File "/usr/lib/anaconda/gui/py", line 373, in nextClicked
   next = self.currentScreen.getNext ()
 File "/usr/lib/anaconda/iw/examine_gui.py", line 26, in getNext
   from package import IndividualPackageSelectionWindow
ImportError: No module named package


This was using the GUI installer on a Dell OptiPlex GX1, 64 MB RAM, P3 500.
Comment 1 Michael Fulbright 2000-07-12 18:21:25 EDT
Fixed in latest beta.
Comment 2 Brock Organ 2000-07-18 18:40:30 EDT
verified fix in post-beta3 internal build ...

Note You need to log in before you can comment on or make changes to this bug.